[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.GetAutoFillColumnInfo

Gets the display priority for an auto-fill column.

## Declaration

Source position: valedit.pas line 160

`protected procedure TValueListEditor.GetAutoFillColumnInfo(`
`const Index: Integer;`
`var aMin: Integer;`
`var aMax: Integer;`
`var aPriority: Integer`
`); override;`

## Arguments

`Index` |  | Column number examined in the method.
`aMin` |  | Not used in TValueListEditor.
`aMax` |  | Not used in TValueListEditor.
`aPriority` |  | Relative display priority for the column.

## Description

GetAutoFillColumnInfo is used to get the minimum and maximum width, and relative display priority, for an automatically sized column in the grid. GetAutoFillColumnInfo overrides the behavior from the ancestor class to account for the two column limit for the grid.

Index is the column number examined in the method. When Index is 1 (the Value column), the relative priority is set to 1. When Index is 0 (the Key column), DisplayOptions is used to determine if the Key column is fixed. The priority is set to 0 when fixed, or 1 when DisplayOptions does not include the value doKeyColFixed.

Remark: | Values in the aMin and aMax arguments are not used; they were used in an ancestor class, but are not required in TValueListEditor.

## See also

TCustomGrid.GetAutoFillColumnInfo |  | Gets auto-fill information for the specified column.